<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout2}">


<head>
    <meta charset="UTF-8">

    <style>
        .input-group-append {
            cursor: pointer;
        }
    </style>
    <title>Employes</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar_finance::sidebar_finance" th:remove="tag"> sidebar </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                    Employes
                </div>
            </div>
        </div>
        <br>
        <div class="row">
            <div class="col-md-6">
                <form class="form-horizontal" th:action="@{/transaksi/kaskecil/save}" th:object="${kasKecil}" method="post">
                    <div class="card">
                        <div class="card-body">

                            <div class="mb-3">
                                <label for="tanggalString" class="form-label">Date </label>
                                <input type="date" class="form-control" id="tanggalString" th:field="*{tanggalString}" name="tanggalString" placeholder="Title">
                                <p th:if="${#fields.hasErrors('tanggalString')}" th:errors="*{tanggalString}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="deskripsi" class="form-label">Description</label>
                                <input type="text" class="form-control" id="deskripsi" th:field="*{deskripsi}" name="deskripsi" placeholder="deskripsi">
                                <p th:if="${#fields.hasErrors('deskripsi')}" th:errors="*{deskripsi}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <div class="mb-3">
                                <label for="nominal" class="form-label">Nominal</label>
                                <input type="text" class="form-control" id="nominal" th:field="*{nominal}" name="nominal" placeholder="0">
                                <p th:if="${#fields.hasErrors('nominal')}" th:errors="*{nominal}" class="text-danger"> Mata Anggaran Error</p>
                            </div>

                            <input type="hidden" name="id" th:field="*{id}">
                        </div>
                        <div class="card-body">
                            <a th:href="@{/transaksi/kaskecil}" class="btn btn-light" style="--bs-btn-bg: #e8ecf1">Cancel</a>
                            <button type="submit" class="btn btn-primary pull-right" style="--bs-btn-bg: #15408d" id="simpan">Save</button>
                        </div>
                    </div>

                </form>
            </div>
        </div>
    </main>
</main>

</body>
</html>



<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Cash Account</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Saldo Bank-->
<!--        <small>Form</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Finance</li>-->
<!--        <li class="active"> Saldo Bank</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--    <div class="row">-->

<!--        <div class="col-md-6">-->
<!--            &lt;!&ndash; Horizontal Form &ndash;&gt;-->
<!--            <div class="box box-info">-->
<!--                <div class="box-header with-border">-->
<!--                    <h3 class="box-title">Saldo Bank</h3>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->
<!--                &lt;!&ndash; form start &ndash;&gt;-->
<!--                <form class="form-horizontal" th:action="@{/transaksi/kaskecil/save}" th:object="${kasKecil}" method="post">-->
<!--                    <div class="box-body">-->

<!--                        <div class="form-group">-->
<!--                            <label for="tanggalString"  class="col-sm-2 control-label">Date</label>-->
<!--                            <div class="col-sm-10">-->

<!--                                <div class="input-group date">-->
<!--                                    <div class="input-group-addon">-->
<!--                                        <i class="fa fa-calendar"></i>-->
<!--                                    </div>-->
<!--                                    <input type="text" class="form-control pull-right" id="tanggalString" th:field="*{tanggalString}" name="tanggalString" placeholder="MM/dd/yyyy">-->
<!--                                </div>-->
<!--                                &lt;!&ndash;                                        <input type="date" th:field="*{tanggalPenerimaan}" name="tanggalPenerimaan" id="tanggalPenerimaan" class="form-control">&ndash;&gt;-->

<!--                                <p th:if="${#fields.hasErrors('tanggalString')}" th:errors="*{tanggalString}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="deskripsi" class="col-sm-2 control-label">Deskripsi</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{deskripsi}" name="deskripsi" id="deskripsi" placeholder="Deskripsi">-->
<!--                                <p th:if="${#fields.hasErrors('deskripsi')}" th:errors="*{deskripsi}" class="text-danger"> Deskripsi Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <div class="form-group">-->
<!--                            <label for="nominal" class="col-sm-2 control-label">Nominal</label>-->

<!--                            <div class="col-sm-10">-->
<!--                                <input type="text" class="form-control" th:field="*{nominal}" name="nominal" id="nominal" placeholder="0.00">-->
<!--                                <p th:if="${#fields.hasErrors('nominal')}" th:errors="*{nominal}" class="text-danger"> Mata Anggaran Error</p>-->
<!--                            </div>-->
<!--                        </div>-->

<!--                        <input type="hidden" name="id" th:field="*{id}">-->
<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                    <div class="box-footer">-->

<!--                        <a th:href="@{/transaksi/kaskecil}" class="btn btn-default">Cancel</a>-->
<!--                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>-->

<!--                    </div>-->
<!--                    &lt;!&ndash; /.box-footer &ndash;&gt;-->
<!--                </form>-->
<!--            </div>-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">>-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#tanggalString').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->
<!--    </script>-->
<!--</section>-->
<!--</body>-->
<!--</html>-->